AOZ Studio Beta - Bug #521

Sprite Show N causes internal error
09/29/2020 03:25 AM - Brian Flanagan

Status: Closed Start date: 09/28/2020
Priority: Normal Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 2:00 hours
Target version: Beta RC4

Affected version: Beta RC3

Description

Example:

#manifest: "amiga"

#fullScreen: true

Screen Open 0,320,200,32,Lowres
Palette 0, SFFF, $F00,$0F0, SO0F, $FFO, $OFF, SFOF
Cls 0 : Curs Off : Flash Off

Ink 0 : Box 0,0 To 319,199 ' this is because of another issue...

Ink 2 : Circle 6,6,5

Get Sprite 1, 0,0 To 13,13
Cls O

Sprite 1,10,10,1

Sprite Show 1 ' This fails.

End

NOTE: If the exact same code above is modified for Bobs vs. Sprites, it works.

History

#1 - 10/06/2020 08:17 PM - Francois Lionet
- Status changed from New to Resolved

- Target version set to Beta RC4

Fixed

#2 - 10/09/2020 12:00 PM - Brian Flanagan

- Status changed from Resolved to Closed

Sprite Show is working with 10/9 updates.
